> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ticket

> Developer API operation for GET /dev/v1/tickets/{id}.



## OpenAPI

````yaml /openapi.json get /dev/v1/tickets/{id}
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/tickets/{id}:
    get:
      tags:
        - Tickets
      summary: Get ticket
      description: Developer API operation for GET /dev/v1/tickets/{id}.
      operationId: getDevV1TicketsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    id: ticket_db_1
                    uniqid: ticket_1
                    shop_id: shop_1
                    invoice_id: inv_1
                    customer_email: buyer@example.com
                    title: Need help
                    status: OPEN
                    created_at: 1711972800
                    updated_at: 1711973400
                    updated_by: user_1
                    messages:
                      - id: msg_1
                        role: CUSTOMER
                        message: Please check my order.
                        created_at: 1711972800
                      - id: msg_2
                        role: SHOP
                        message: We are looking into it.
                        created_at: 1711973400
                    invoice:
                      uniqid: inv_1
                      customer_email: buyer@example.com
                      product_title: Starter Pack
                      total_display: 19.99
                      currency: USD
                      location: Berlin
                      created_at: 1711971000
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````